Package: org.codehaus.groovy.ast

## [Java] Class FieldNode

- org.codehaus.groovy.ast.FieldNode

- All Implemented Interfaces and Traits:
    Variable

      public class FieldNode
      extends AnnotatedNode
      implements Variable

  Represents a field (member variable)

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected FieldNode()`
    `FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object obj)`
    `` | `public Expression` | `getInitialExpression()`
    `` | `public Expression` | `getInitialValueExpression()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `public ClassNode` | `getOriginType()`
    `` | `public ClassNode` | `getOwner()`
    `` | `public ClassNode` | `getType()`
    `` | `public boolean` | `hasInitialExpression()`
    `` | `public boolean` | `isClosureSharedVariable()` @deprecated
    `` | `public boolean` | `isDynamicTyped()`
    `` | `public boolean` | `isEnum()` Returns: true if the field is an enum
    `` | `public boolean` | `isFinal()` Returns: true if the field is final
    `` | `public boolean` | `isHolder()`
    `` | `public boolean` | `isInStaticContext()`
    `` | `public boolean` | `isPrivate()` Returns: true if the field is private
    `` | `public boolean` | `isProtected()` Returns: true if the field is protected
    `` | `public boolean` | `isPublic()` Returns: true if the field is public
    `` | `public boolean` | `isStatic()` Returns: true if the field is static
    `` | `public boolean` | `isVolatile()` Returns: true if the field is volatile
    `` | `public static FieldNode` | `newStatic(Class theClass, String name)`
    `` | `public void` | `rename(String name)`
    `` | `public void` | `setClosureSharedVariable(boolean inClosure)` @deprecated
    `` | `public void` | `setHolder(boolean holder)`
    `` | `public void` | `setInitialValueExpression(Expression initialValueExpression)`
    `` | `public void` | `setModifiers(int modifiers)`
    `` | `public void` | `setOriginType(ClassNode cn)`
    `` | `public void` | `setOwner(ClassNode owner)` Parameters: `owner` - The owner to set.
    `` | `public void` | `setType(ClassNode type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### protected FieldNode()

    - #### public FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

  - ### Method Detail

    - #### @Override public boolean equals(Object obj)

    - #### @Override public Expression getInitialExpression()

    - #### public Expression getInitialValueExpression()

    - #### @Override public int getModifiers()

    - #### @Override public String getName()

    - #### @Override public ClassNode getOriginType()

    - #### public ClassNode getOwner()

    - #### @Override public ClassNode getType()

    - #### @Override public boolean hasInitialExpression()

    - #### @Deprecated @Override public boolean isClosureSharedVariable()

      deprecated:

    - #### @Override public boolean isDynamicTyped()

    - #### public boolean isEnum()

      Returns:
        true if the field is an enum

    - #### public boolean isFinal()

      Returns:
        true if the field is final

    - #### public boolean isHolder()

    - #### @Override public boolean isInStaticContext()

    - #### public boolean isPrivate()

      Returns:
        true if the field is private
      Since:
        2.5.0

    - #### public boolean isProtected()

      Returns:
        true if the field is protected

    - #### public boolean isPublic()

      Returns:
        true if the field is public

    - #### public boolean isStatic()

      Returns:
        true if the field is static

    - #### public boolean isVolatile()

      Returns:
        true if the field is volatile

    - #### public static FieldNode newStatic(Class theClass, String name)

    - #### public void rename(String name)

    - #### @Deprecated @Override public void setClosureSharedVariable(boolean inClosure)

      deprecated:

    - #### public void setHolder(boolean holder)

    - #### public void setInitialValueExpression(Expression initialValueExpression)

    - #### public void setModifiers(int modifiers)

    - #### public void setOriginType(ClassNode cn)

    - #### public void setOwner(ClassNode owner)

      Parameters:
        `owner` - The owner to set.

    - #### public void setType(ClassNode type)